# Generated by go2rpm
%bcond_without check
%bcond_with bootstrap

# https://github.com/grpc-ecosystem/go-grpc-middleware
%global goipath         github.com/grpc-ecosystem/go-grpc-middleware
Version:                1.2.0

%gometa

%global common_description %{expand:
gRPC Go recently acquired support for Interceptors, i.e. middleware that is
executed either on the gRPC Server before the request is passed onto the user's
application logic, or on the gRPC client either around the user call. It is a
perfect way to implement common patterns: auth, logging, message, validation,
retries or monitoring.

These are generic building blocks that make it easy to build multiple
microservices easily. The purpose of this repository is to act as a go-to point
for such reusable functionality. It contains some of them itself, but also will
link to useful external repos.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md DOC.md README.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        Golang gRPC Middlewares: interceptor chaining, auth, logging, retries and more
Group:          Development/Other
BuildArch:      noarch
# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%if %{without bootstrap}
BuildRequires:  golang(github.com/go-kit/kit/log)
BuildRequires:  golang(github.com/go-kit/kit/log/level)
%endif
BuildRequires:  golang(github.com/gogo/protobuf/gogoproto)
BuildRequires:  golang(github.com/golang/protobuf/jsonpb)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/timestamp)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/opentracing/opentracing-go/ext)
BuildRequires:  golang(github.com/opentracing/opentracing-go/log)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/stretchr/testify/suite)
BuildRequires:  golang(go.uber.org/zap)
BuildRequires:  golang(go.uber.org/zap/zapcore)
BuildRequires:  golang(golang.org/x/net/trace)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/credentials)
BuildRequires:  golang(google.golang.org/grpc/grpclog)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/peer)
BuildRequires:  golang(google.golang.org/grpc/status)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%if %{with bootstrap}
rm -rf logging/kit
%endif

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d auth -t logging
%endif

%gopkgfiles



%changelog
* Thu Dec 31 2020 pterjan <pterjan> 1.2.0-3.mga8
+ Revision: 1667210
- Disable bootstrap

* Wed Dec 30 2020 pterjan <pterjan> 1.2.0-2.mga8
+ Revision: 1666298
- Add bootstrap support
- Restore go-kit BuildRequires

* Wed Dec 30 2020 pterjan <pterjan> 1.2.0-1.mga8
+ Revision: 1666082
- Do not require go-kit
- Mageiaize
- imported package golang-github-grpc-ecosystem-middleware

